scala.tools.nsc.backend

# jvm

#### package jvm

Content Hierarchy Learn more about scaladoc diagrams
Visibility

1. Public
2. All

### Type Members

1. #### trait BytecodeWriters extends AnyRef

   For the last mile: turning generated bytecode in memory into something you can use.

2. #### abstract class GenASM extends SubComponent with BytecodeWriters with GenJVMASM

3. #### trait GenAndroid extends AnyRef

4. #### abstract class GenJVM extends SubComponent with GenJVMUtil with GenAndroid with BytecodeWriters with GenJVMASM

   This class .

5. #### trait GenJVMASM extends AnyRef

   Code shared between the legagy backend scala.tools.nsc.backend.jvm.GenJVM and the new backend scala.tools.nsc.backend.jvm.GenASM.

6. #### trait GenJVMUtil extends AnyRef

### Ungrouped